idn2_to_ascii_4i(3)

NAME
idn2_to_ascii_4i - API function

SYNOPSIS
#include <idn2.h>

int idn2_to_ascii_4i(const uint32_t * input, size_t inlen, char * output, int flags);

ARGUMENTS

const uint32_t * input
    zero terminated input Unicode (UCS-4) string.

size_t inlen
    number of elements in input .

char * output
    pointer to newly allocated zero-terminated output string.

int flags
    are ignored.

DESCRIPTION
The ToASCII operation takes a sequence of Unicode code points that make up one domain label and transforms it into a sequence of code points in the ASCII range (0..7F). If ToASCII succeeds, the original sequence and the resulting sequence are equivalent labels. It is important to note that the ToASCII operation can fail. ToASCII fails if any step of it fails. If any step of the ToASCII operation fails on any label in a domain name, that domain name MUST NOT be used as an internationalized domain name. The method for dealing with this failure is application-specific. The inputs to ToASCII are a sequence of code points. ToASCII never alters a sequence of code points that are all in the ASCII range to begin with (although it could fail). Applying the ToASCII operation multiple effect as applying it just once. When unsure, it is recommended to call this function with the IDN2_NONTRANSITIONAL and IDN2_NFC_INPUT flags. Return value: Returns IDN2_OK on success, or error code.

SINCE
2.0.0

SEE ALSO
The full documentation for libidn2 is maintained as a Texinfo manual. If the info and libidn2 programs are properly installed at your site, the command

    info libidn2

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libidn2/manual/